DCMTK: DiPixel Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
DiPixel Class Referenceabstract

Abstract base class to handle pixel data. More...

Inheritance diagram for DiPixel:

## Public Member Functions
| DiPixel (const unsigned long count, const unsigned long inputCount=0)
| constructor
virtual | ~DiPixel ()
| destructor
virtual EP_Representation | getRepresentation () const =0
| get integer representation (abstract)
virtual int | getPlanes () const =0
| get number of planes (abstract).
virtual const void * | getData () const =0
| get pointer to pixel data (abstract).
virtual void * | getDataPtr ()=0
| get pointer to pixel data (abstract).
virtual void * | getDataArrayPtr ()=0
| get pointer to array of pixel data (abstract).
unsigned long | getCount () const
| get number of pixels
unsigned long | getInputCount () const
| get number of pixels stored in the 'PixelData' element

## Protected Attributes
unsigned long | Count
| number of pixels
unsigned long | InputCount
| number of pixels in the input buffer

## Detailed Description

Abstract base class to handle pixel data.

## Constructor & Destructor Documentation

## ◆ DiPixel()

DiPixel::DiPixel | ( | const unsigned long | count,
|  | const unsigned long | inputCount = 0 )
| inline

constructor

Parameters

  count | number of pixels stored in the buffer
  inputCount | number of pixels read from 'PixelData' attribute

References Count, and InputCount.

Referenced by DiMonoPixel::DiMonoPixel(), and DiMonoPixelTemplate< T >::DiMonoPixelTemplate().

## Member Function Documentation

## ◆ getCount()

unsigned long DiPixel::getCount | ( |  | ) | const
| inline

get number of pixels

Returns
  number of pixels

References Count.

Referenced by DiColorCopyTemplate< T >::DiColorCopyTemplate(), DiColorFlipTemplate< T >::DiColorFlipTemplate(), DiColorMonoTemplate< T >::DiColorMonoTemplate(), DiColorRotateTemplate< T >::DiColorRotateTemplate(), DiColorScaleTemplate< T >::DiColorScaleTemplate(), DiFlipTemplate< T >::DiFlipTemplate(), DiMonoCopyTemplate< T >::DiMonoCopyTemplate(), DiMonoFlipTemplate< T >::DiMonoFlipTemplate(), DiMonoRotateTemplate< T >::DiMonoRotateTemplate(), DiMonoScaleTemplate< T >::DiMonoScaleTemplate(), DiRotateTemplate< T >::DiRotateTemplate(), DiColorCopyTemplate< T >::copy(), DiMonoCopyTemplate< T >::copy(), DiMonoFlipTemplate< T >::flip(), DiMonoInputPixelTemplate< T1, T2, T3 >::modlut(), DiMonoInputPixelTemplate< T1, T2, T3 >::rescale(), DiMonoRotateTemplate< T >::rotate(), and DiMonoScaleTemplate< T >::scale().

## ◆ getData()

virtual const void * DiPixel::getData | ( |  | ) | const
| pure virtual

get pointer to pixel data (abstract).

NB: See implemented method in derived class for details.

Returns
  pointer to pixel data

Implemented in DiColorPixelTemplate< T >, DiColorPixelTemplate< T2 >, DiColorPixelTemplate< T3 >, DiMonoPixelTemplate< T >, and DiMonoPixelTemplate< T3 >.

Referenced by DiColorOutputPixelTemplate< T1, T2 >::DiColorOutputPixelTemplate(), DiMonoOutputPixelTemplate< T1, T2, T3 >::nowindow(), DiMonoOutputPixelTemplate< T1, T2, T3 >::sigmoid(), DiMonoOutputPixelTemplate< T1, T2, T3 >::voilut(), and DiMonoOutputPixelTemplate< T1, T2, T3 >::window().

## ◆ getDataArrayPtr()

virtual void * DiPixel::getDataArrayPtr | ( |  | ) |
| pure virtual

get pointer to array of pixel data (abstract).

The number of planes in the returned array can be determined using 'getPlanes()'.

Returns
  pointer to array of pixel data

Implemented in DiColorPixelTemplate< T >, DiColorPixelTemplate< T2 >, DiColorPixelTemplate< T3 >, DiMonoPixelTemplate< T >, and DiMonoPixelTemplate< T3 >.

Referenced by DiFlipTemplate< T >::DiFlipTemplate(), and DiRotateTemplate< T >::DiRotateTemplate().

## ◆ getDataPtr()

virtual void * DiPixel::getDataPtr | ( |  | ) |
| pure virtual

get pointer to pixel data (abstract).

NB: See implemented method in derived class for details.

Returns
  pointer to pixel data

Implemented in DiColorPixelTemplate< T >, DiColorPixelTemplate< T2 >, DiColorPixelTemplate< T3 >, DiMonoPixelTemplate< T >, and DiMonoPixelTemplate< T3 >.

## ◆ getInputCount()

unsigned long DiPixel::getInputCount | ( |  | ) | const
| inline

get number of pixels stored in the 'PixelData' element

Returns
  number pixels read from the input buffer

References InputCount.

## ◆ getPlanes()

virtual int DiPixel::getPlanes | ( |  | ) | const
| pure virtual

get number of planes (abstract).

Returns
  number of planes (e.g. 1 for monochrome and 3 for color images)

Implemented in DiColorPixel, and DiMonoPixel.

Referenced by DiFlipTemplate< T >::DiFlipTemplate(), and DiRotateTemplate< T >::DiRotateTemplate().

## ◆ getRepresentation()

virtual EP_Representation DiPixel::getRepresentation | ( |  | ) | const
| pure virtual

get integer representation (abstract)

Returns
  integer representation of the internally stored pixel data

Implemented in DiColorPixelTemplate< T >, DiColorPixelTemplate< T2 >, DiColorPixelTemplate< T3 >, DiMonoPixelTemplate< T >, and DiMonoPixelTemplate< T3 >.

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/dipixel.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2